/**
 * Created by zhang on 2018/9/3.
 */

let express = require("express");
let infoRouter =express.Router();
import InfoController from "../controllers/basic_info_controller";
let infoController = new InfoController();

module.exports =function (app){

    infoRouter.get("/main", infoController.auth, infoController.init, infoController.main);
    infoRouter.post("/addLib", infoController.auth, infoController.init, infoController.addLib);
    infoRouter.post("/findLib", infoController.auth, infoController.init, infoController.findLib);
    infoRouter.post("/saveLib", infoController.auth, infoController.init, infoController.saveLib);
    infoRouter.post("/deleteLibByID", infoController.auth, infoController.init, infoController.deleteLibByID);
    infoRouter.get("/edit/:libID", infoController.auth, infoController.init, infoController.edit);
    app.use("/basicInfo", infoRouter);
};


